apiVersion: v1
kind: Service
metadata:
  name: ozone-web
  namespace: atproto
spec:
  selector:
    app: ozone-web
  ports:
    - port: 3000
      targetPort: 3000
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: ozone-web
  namespace: atproto
spec:
  replicas: 1
  selector:
    matchLabels:
      app: ozone-web
  template:
    metadata:
      labels:
        app: ozone-web
    spec:
      containers:
        - name: ozone-web
          image: registry/ozone-web
          ports:
            - containerPort: 3000
          env:
            - name: NEXT_PUBLIC_PLC_DIRECTORY_URL
              value: "https://plc.syu.is"
            - name: NEXT_PUBLIC_OZONE_SERVICE_DID
              value: "did:web:ozone.syu.is"
            - name: NEXT_PUBLIC_SOCIAL_APP_DOMAIN
              value: "syu.is"
            - name: NEXT_PUBLIC_SOCIAL_APP_URL
              value: "https://syu.is"
          livenessProbe:
            httpGet:
              path: /
              port: 3000
            initialDelaySeconds: 10
            periodSeconds: 10
